<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <title>9 Green tea landing page</title>
    <style>
        body {
            width: 1440px;
        }

        .container {

            width: 100%;
            height: 3600px;
            background: #ffffff;
            display: flex;
            flex-direction: column;
        }

        .header {
            width: 100%;
            height: 863px;
            background-image: url(background.png);
            background-repeat: no-repeat;
            background-size: auto;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .header .menu a {
            Font-family: 'Inter';
            font-style: normal;
            font-weight: 500;
            font-size: 32px;
            line-height: 39px;
            text-decoration: none;
            color: black;
            padding-top: 10px;
        }

        .header .menu {
            width: 597px;
            height: 39px;
            display: flex;
            justify-content: space-between;
        }

        @media screen and (max-width: 576px) {
            .header {
                flex-direction: row;
                align-items: flex-start;
            }

            .menu {
                padding-top: 30px;
                padding-left: 30px;
            }

        }

        .about-us {
            width: 100%;
            height: 450px;
            margin-top: 35px;
            display: flex;
            flex-direction: row;
        }

        .tea-cup-picture {
            width: 513px;
            height: 450px;
            background-image: url(tea-cup.png);
        }

        .home-made {
            width: 927px;
            height: 450px;
            background: #9CAB70;
            text-align: center;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        .home-made h1 {
            font-family: 'Kaisei Decol';
            font-style: normal;
            font-weight: 700;
            font-size: 48px;
            line-height: 70px;
            color: #FFFFFF;


        }

        .home-made p {
            font-family: 'Kaisei Decol';
            font-style: normal;
            font-weight: 700;
            font-size: 32px;
            line-height: 46px;
            text-align: center;
            color: #FFFFFF;
            padding-top: 0px;
            margin-top: 0px;

        }

        @media screen and (max-width: 576px) {
            .about-us {
                flex-wrap: wrap;
            }

            .home-made {
                flex-basis: 60%;
            }
        }

        .product {
            width: 100%;
            height: 738px;
            margin-top: 35px;
            display: flex;
            flex-direction: column;
            align-items: center;
            align-items: center;
            justify-content: space-evenly;
            background: #eeeeee;
        }

        .product .title {
            width: 588px;
            height: 70px;


        }

        .product .title h1 {
            font-family: 'Kaisei Decol';
            font-style: normal;
            font-weight: 700;
            font-size: 48px;
            line-height: 70px;
            margin-top: 0px;

        }

        .detail {
            width: 100%;
            height: 385px;
            display: flex;
            justify-content: space-evenly;

        }

        .tea-name {
            width: 274px;
            height: 385px;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .detail h4 {
            font-family: 'Jost';
            font-style: normal;
            font-weight: 800;
            font-size: 24px;
            line-height: 35px;
            margin-top: 10px;
            margin-bottom: 0px;
        }

        .detail p {
            font-family: 'Kaisei Decol';
            font-style: normal;
            font-weight: 700;
            font-size: 16px;
            line-height: 23px;
            text-align: center;
        }

        @media screen and (max-width: 576px) {
            .product .title h1 {
                font-size: small;
            }

            .product {
                justify-content: flex-start;
            }

            .detail {
                flex-wrap: wrap;
            }

            .tea-name {
                width: 174px;
                height: 285px;
                flex-basis: 35%;
            }

            .tea-name img {
                width: 100px;
                height: 100px;
            }

        }

        .discount {
            width: 100%;
            height: 355px;
            margin-top: 35px;
            display: flex;
            justify-content: space-between;
        }

        .discount-picture {
            width: 488px;
            height: 100%;
            background-image: url(tea-cup2.png);
        }

        .discount-detail {
            width: 927px;
            height: 100%;
            background: #9CAB70;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .discount-detail h1 {
            font-family: 'Italiana';
            font-style: normal;
            font-weight: 400;
            font-size: 64px;
            line-height: 75px;
            text-align: center;
            color: #FFFFFF;
            margin-bottom: 30px;
        }

        .discount-detail p {
            font-family: 'Jost';
            font-style: normal;
            font-weight: 400;
            font-size: 32px;
            line-height: 46px;
            text-align: center;
            color: #FFFFFF;
            margin-top: 0px;
        }

        .discount-detail button {
            width: 227px;
            height: 57px;
            background: rgba(255, 255, 255, 0.8);
            border: 2px solid #68763F;
            border-radius: 20px;
            font-family: 'Jost';
            font-style: normal;
            font-weight: 400;
            font-size: 32px;
            line-height: 46px;
            text-align: center;
            color: #383F26;

        }

        .contact {
            width: 100%;
            height: 598px;
            margin-top: 35px;
            background-image: url(contact-bg.png);
            display: flex;
            justify-content: center;
            filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
        }

        .contact-form {
            width: 607px;
            height: 603px;
            background: #fafafa;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }

        form {
            margin-left: 30px;
        }

        .contact-form h1 {
            font-family: 'Arial';
            font-style: normal;
            font-weight: 400;
            font-size: 40px;
            line-height: 58px;
            text-align: center;
            color: #000000;
        }

        .contact-form #input-name {
            width: 515px;
            height: 56px;
            background: #FFFFFF;
            border: 4px solid #9CAB70;
            box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
            border-radius: 15px;
            margin-bottom: 20px;
        }

        .contact-form #input-email {
            width: 515px;
            height: 56px;
            background: #FFFFFF;
            border: 4px solid #9CAB70;
            box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
            border-radius: 15px;
        }

        ::placeholder {
            font-family: 'Jost';
            font-style: normal;
            font-weight: 400;
            font-size: 32px;
            line-height: 46px;
            text-align: left;
            color: #787B6D;
            padding-left: 24px;
        }

        #input-message {
            width: 515px;
            height: 135px;
            background: #FFFFFF;
            border: 4px solid #9CAB70;
            box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
            border-radius: 20px;
            margin-top: 28px;
        }

        .contact-form button {
            width: 153px;
            height: 52px;
            background: #68763F;
            border: 4px solid #9CAB70;
            box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
            border-radius: 15px;
            font-family: 'Jost';
            font-style: normal;
            font-weight: 400;
            font-size: 32px;
            line-height: 46px;
            text-align: center;
            color: #FFFFFF;
            margin-top: 63px;
            margin-left: 11em;

        }

        @media screen and (max-width: 576px) {
            .contact {
                display: flex;
                justify-content: flex-start;
            }

            .contact-form {
                flex-basis: 70%;
            }
        }

        .footer {
            margin-top: 35px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }

        .social-media {
            margin-top: 25px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .footer .menu {
            display: flex;
            width: 597px;
            height: 39px;
            display: flex;
            justify-content: space-between;
            margin-top: 15px;

        }

        .footer a {
            Font-family: 'Inter';
            font-style: normal;
            font-weight: 500;
            font-size: 32px;
            line-height: 39px;
            text-decoration: none;
            color: black;
            padding-top: 10px;
        }

        @media screen and (max-width: 576px) {
            .footer {
                align-items: flex-start;

            }


        }
    </style>
</head>

<body>
    <div class="container">
        <div class="header">
            <div class="logo" style="width: 86px; height: 95px;display: flex;">
                <img src="logo.png" alt="">
            </div>
            <div class="menu" style="display: flex;">
                <a href="">Home</a>
                <a href="">About Us</a>
                <a href="">Product</a>
                <a href="">Contact</a>
            </div>

        </div>
        <div class="about-us">
            <div class="tea-cup-picture"></div>
            <div class="home-made">
                <h1>Home Made</h1>
                <p>Kamus Bahasa Inggris Indonesia ini</br>merupakan Kamus Online yang dibuat</br>untuk memudahkan
                    pencarian,</br>
                    penggunaan dan pembacaan arti kata.</p>
            </div>
        </div>
        <div class="product">
            <div class="title">
                <h1>Pilihan dari yang Terbaik</h1>
            </div>
            <div class="detail">

                <div class="tea-name" id="tea-1">
                    <img src="Ellipse 1.png" alt="" width="195px" height="190px">
                    <h4>Stevia</h4>
                    <p>Stevia adalah sebuah genus dari sekitar 240 spesies dari ramuan dan semak dalam keluarga bunga
                        matahari, asli subtropis dan daerah tropis dari barat Amerika Utara ke Amerika Selatan.</p>
                </div>
                <div class="tea-name" id="tea-2">
                    <img src="Ellipse 2.png" alt="" width="195px" height="190px">
                    <h4>Chamomile</h4>
                    <p>Chamomile adalah tumbuhan semusim dari keluarga bunga Matahari Asteraceae. Tanaman ini tumbuh di
                        seluruh wilayah Eropa, wilayah Asia yang memiliki 4 musim. Kamomil juga telah tersebar luas di
                        Amerika Utara dan Australia oleh manusia.
                </div>

                <div class="tea-name" id="tea-3">
                    <img src="Ellipse 3.png" alt="" width="195px" height="190px">
                    <h4>Teh Hijau</h4>
                    <p>Teh hijau adalah nama teh yang dibuat dari daun tanaman teh yang dipetik dan mengalami proses
                        pemanasan untuk mencegah oksidasi, atau bisa juga berarti minuman yang dihasilkan dari menyeduh
                        daun teh tersebut.
                </div>
                <div class="tea-name" id="tea-4">
                    <img src="Ellipse 4.png" alt="" width="195px" height="190px">
                    <h4>Hibicus</h4>
                    <p>Teh kembang sepatu adalah teh herbal yang dibuat sebagai infus dari kelopak bunga rosella
                        berwarna merah tua atau magenta. Itu dikonsumsi baik panas maupun dingin.
                </div>

            </div>

        </div>
        <div class="discount">
            <div class="discount-detail">
                <h1>45% OFF In Appril 2022</h1>
                <p>Get your coupon and enjoy the discount. terms</br>and Conditions applyu </p>
                <button>Contact Now</button>
            </div>
            <div class="discount-picture"></div>


        </div>
        <div class="contact">
            <div class="contact-form">
                <h1>CONTACT</h1>
                <form action="submit" id="contact-form">
                    <input type="text" name="" id="input-name" placeholder="Name">
                    <input type="text" name="" id="input-email" placeholder="Email">
                    <input type="text" name="" id="input-message" placeholder="Message">
                    <button type="submit">SEND</button>
                </form>

            </div>
        </div>
        <div class="footer">
            <img src="logo.png" alt="" width="86px" height="95px">
            <div class="social-media" style="width: 120px; height: 27px;">
                <img src="fb-icon.png" alt="">
                <img src="instagram.png" alt="">
                <img src="twitter.png" alt="">
            </div>
            <div class="menu" style="display: flex;">
                <a href="">Home</a>
                <a href="">About Us</a>
                <a href="">Product</a>
                <a href="">Contact</a>
            </div>

        </div>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gToday = new Date();
    var gDate = gToday.getDate() + '/' + (gToday.getMonth() + 1) + '/' + (gToday.getFullYear());
    console.log(gDate);
    //tạo đối tượng Contact
    var gContactObj = {
        name: "",
        email: "",
        message: "",
        createDate: ""
    }
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    const gBASE_URL = "https://62442d9d3da3ac772b0c50eb.mockapi.io/api/v1/";

    var gContactFormElement = document.getElementById("contact-form")
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    gContactFormElement.addEventListener("submit", function (paramContactForm) {
        paramContactForm.preventDefault();
        onBtnSendClick();
    });


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSendClick() {
        console.log("dabamn")
        //B1:đọc dữ liệu:
        docDuLieu(gContactObj)
        //B2: validate dữ liệu:
        var vDuLieuHopLe = validateDuLieu(gContactObj);
        if (vDuLieuHopLe) {
            //B3: gọi API
            var vXmlHttpContact = new XMLHttpRequest();
            callApiToCreateNewContact(gContactObj, vXmlHttpContact);
            vXmlHttpContact.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_OK) {
                console.log(vXmlHttpContact.responseText);
                alert("Liên hệ đã được tạo thành công!")
            }
        }
        //B4: hiển thị dữ liệu
    }
}

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //B1:đọc dữ liệu:
    function docDuLieu(paramContactObj) {
        var vInputName = document.getElementById("input-name");
        var vInputEmail = document.getElementById("input-email");
        var vInputMessage = document.getElementById("input-message");

        paramContactObj.name = vInputName.value.trim();
        paramContactObj.email = vInputEmail.value.trim();
        paramContactObj.message = vInputMessage.value.trim();
        paramContactObj.createDate = gDate;
    }
    //B2: validate dữ liệu:
    function validateDuLieu(paramContactObj) {
        if (paramContactObj.name == "") {
            alert("Vui lòng nhập tên!");
            return false;
        }
        if (paramContactObj.email == "") {
            alert("Vui lòng nhập email!");
            return false;
        }
        if (!paramContactObj.email.includes("@")) {
            alert("Email chưa đúng định dạng!");
            return false;
        }
        if (paramContactObj.message == "") {
            alert("Vui lòng nhập tin nhắn!");
            return false;
        } 
        if (paramContactObj.message.length < 20) {
            alert("Tin nhắn phải chứa ít nhất 20 kí tự!");
            return false;
        }
        return true
    }
    //B3: gọi API:
    function callApiToCreateNewContact(paramContactObj, paramXmlHttpContactObj) {
        const vAPI_URL = gBASE_URL + "/contacts"
        paramXmlHttpContactObj.open("POST", vAPI_URL, true);
        paramXmlHttpContactObj.setRequestHeader("Content-Type", "application/json");
        paramXmlHttpContactObj.send(JSON.stringify(paramContactObj));
    }



</script>

</html>